function jsArrayToolkit(arr, type, condition) {

    if (type == 'removeDuplicate') {  //remove duplicate
        return [...new Set(arr)];
    }
     else if (type == 'join') { //join
        return arr.join(condition);
    }
     else if (type == 'getLastElement') {  //get last element
        return arr.pop();
    }
    else if (type == 'sortAlphabet') { //sort alphabet wise
        return arr.sort();
    }
    else if (type == 'sortNumberAsc') { //sort number asc order
        const resultArray = arr.sort(
            function (a, b) { return a - b }
        );
        return resultArray;
    }
    else if (type == 'sortNumberDsc') { //sort number dsc order
        const resultArray = arr.sort(
            function (a, b) { return b - a }
        );
        return resultArray;
    }
    else if (type == 'getHigestNumber') { //get highest number
        const resultArray = arr.sort(
            function (a, b) { return b - a }
        );
        return resultArray[0];
    }
    else if (type == 'getLowestNumber') { //get Lowest number
        const resultArray = arr.sort(
            function (a, b) { return a - b }
        );
        return resultArray[0];
    }
    else if (type == 'reverse') { //array reverse
        return arr.reverse();;
    }else{
        return arr.valueOf(); //valueOf() returns the array itself
    }
}

module.exports = jsArrayToolkit;